# Send a test alert for a rule (/docs/api/logs/alerts_rules_test)

Send a test alert to every destination the rule notifies, now, and report each result. Nothing is recorded as a real alert.

`POST /v1/alerts/rules/{id}/test`

```json
{
  "operationId": "alerts_rules_test",
  "summary": "Send a test alert for a rule",
  "description": "Send a test alert to every destination the rule notifies, now, and report each result. Nothing is recorded as a real alert.",
  "tags": [
    "alerts"
  ],
  "security": [
    {
      "bearer": []
    }
  ],
  "parameters": [
    {
      "schema": {
        "type": "string",
        "pattern": "^alr_[a-z0-9]{8,32}$"
      },
      "required": true,
      "name": "id",
      "in": "path"
    }
  ],
  "responses": {
    "200": {
      "description": "OK",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "items": {
                "type": "array",
                "items": {
                  "type": "object",
                  "properties": {
                    "object": {
                      "type": "string",
                      "enum": [
                        "delivery_test"
                      ]
                    },
                    "ok": {
                      "type": "boolean"
                    },
                    "status": {
                      "type": [
                        "integer",
                        "null"
                      ]
                    },
                    "latency_ms": {
                      "type": "integer",
                      "minimum": 0
                    },
                    "error": {
                      "type": [
                        "string",
                        "null"
                      ],
                      "maxLength": 300
                    },
                    "queued": {
                      "type": "boolean"
                    },
                    "destination_id": {
                      "type": "string",
                      "pattern": "^dst_[a-z0-9]{8,32}$"
                    }
                  },
                  "required": [
                    "object",
                    "ok",
                    "status",
                    "latency_ms",
                    "error",
                    "destination_id"
                  ]
                }
              }
            },
            "required": [
              "items"
            ]
          }
        }
      }
    },
    "default": {
      "description": "Error",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "error": {
                "type": "object",
                "properties": {
                  "code": {
                    "type": "string",
                    "enum": [
                      "invalid_request",
                      "unauthorized",
                      "insufficient_balance",
                      "max_cost_exceeded",
                      "scope_denied",
                      "budget_blocked",
                      "not_found",
                      "idempotency_mismatch",
                      "invalid_meta",
                      "rate_limited",
                      "upstream_error",
                      "response_buffer_limit",
                      "provider_capacity_unavailable",
                      "grid_saturated",
                      "upstream_timeout",
                      "conflict",
                      "internal_error",
                      "account_frozen",
                      "strict_filters",
                      "plan_limit_reached",
                      "validation_failed",
                      "deadline_exceeded",
                      "cancelled"
                    ]
                  },
                  "message": {
                    "type": "string"
                  },
                  "request_id": {
                    "type": "string"
                  },
                  "call_id": {
                    "type": "string"
                  },
                  "retry_after_ms": {
                    "type": "integer",
                    "minimum": 0
                  },
                  "details": {
                    "type": "object",
                    "additionalProperties": {}
                  }
                },
                "required": [
                  "code",
                  "message"
                ]
              }
            },
            "required": [
              "error"
            ]
          }
        }
      }
    }
  }
}
```
